# coding: utf-8
from time import sleep

import pywinctl as gw

from winmentor import (
    WinMentor,
    Mentorutils,
    check_list,  # @UnusedImport,
    file_open
)

def parse_and_close(title):
    close_title = gw.getWindowsWithTitle(title)[0]
    # gw.Win32Window.close()
    close_title.activate()
    sleep(2)
    close_title.close()

exclude = [
    'ASIVP',
    # 'ASOBS',
    # 'COMELECT',
    'DATAV'
    # 'ECOPROT',
    # 'JOART',
    # 'CRH',
    # 'RECYC',
    # 'QCLINIC'
]

head = [
    'Denumire', 'CF', 'J', 'Adresa', 'Oras', 'Judet', 'Prescurtat', 'Admin', 'AdminP', 'RCNP', 'Obs'
]

my_headers = [
    'Denumire', 'CF', 'J', 'Adresa', 'Oras', 'Judet', 'Prescurtat', 'Admin', 'AdminP', 'RCNP', 'Obs',
    'VAT', 'VAT FINAL', 'INC_TAX', 'DIV_TAX', 'CAS', 'CASS', 'SAL_TAX', 'CAM', 'CA', 'PN', 'month'
]

mentor = WinMentor()
utils = Mentorutils()

# office = mentor.filtered_firmlist('/firme.db', headers=head, ban=exclude)
# utils.gen_turnover('turn_over', 'to', office, n_headers=my_headers)

office = mentor.filtered_firmlist(headers=head, ban=exclude)
utils.gen_tax_payable('xlsx/firm_list', 'lista_firme', office, m_month=None, n_headers=head, firm_list=True)

# utils.gen_txt('/firme.db', 'lista_cf.txt', _attr_index=1)
# check_list('lista_cf.txt')
file_open('xlsx/firm_list.xlsm')
