'''
Created on 29 Sep 2021 @author: vnc-console
'''
# import sys
# import re
# from time import sleep

from winmentor import (
    WinMentor,
    Mentorutils,
    check_list,  # @UnusedImport,
    file_open
)

exclude = [
    # 'ABRON',
    # 'ALPHA',
    # 'ARHI',
    # 'ASCOMVEL',
    # 'ASDONAT',
    # 'ASIONAG',
    'ASIVP',
    # 'ASOBS',
    # 'ASPRO',
    # 'BANXI',
    # 'BOLBA',
    'BREIS',
    'CHICFIT',
    # 'CHRYPRI',
    # 'COMELECT',
    # 'CONSOL',
    'CSAKI',
    # 'DRY',
    'ECOPROT',
    'ELEG',
    'ENIBEL',
    'ERGO',
    'EVEREST',
    'EXEMPLU',
    'FEHER',
    'FLAUR',
    'FORSALE',
    'GBZPFA',
    # 'GERM',
    'GLORI',
    # 'HANGA',
    'IDEA',
    # 'IRODRON',
    'JOART',
    # 'KINVEST',
    'KUN',
    'LUXWIN',
    'MATHE',
    'MATILAND',
    'MEDVET',
    'MOCAN',
    'PANGRON',
    'RECYC',
    'RENOBRON',
    'RENT',
    'RENTART',
    'ROBENIN',
    'ROVAN',
    'SCOM',
    'SEC2',
    'SIRPECY',
    'TERHOV',
    'TREND',
    'UNION',
    # 'VIBRO',
    'VMI',
    # 'WEBS',
    'WWW'
]

head = [
    'Denumire', 'CF', 'J', 'Adresa', 'Oras', 'Judet', 'Prescurtat', 'Admin', 'AdminP', 'RCNP', 'Obs'
]

my_headers = [
    'Denumire', 'CF', 'J', 'Adresa', 'Oras', 'Judet', 'Prescurtat', 'Admin', 'AdminP', 'RCNP', 'Obs',
    'Cod', 'Nume', 'DataAngF', 'VenitBrut', 'SalRealizat', 'CO', 'SalOra', 'ContribAngajat',
    'ContribAngajator', 'VenitNet', 'Impozit', 'SalarNet', 'OreLucrate', 'ZileLuk', 'ZileCO', 'month'
]

mentor = WinMentor()
utils = Mentorutils()

office = mentor.filtered_firmlist(headers=head, ban=exclude)
utils.gen_sal('xlsx/salary', 'salariati', office, m_month='2021_11', n_headers=my_headers)
file_open('xlsx/salary.xlsm')
